<html xmlns:th="http://www.thymeleaf.org">
	<body>
		<div th:fragment="table" class="relative overflow-x-auto">
			<table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
				<thead
					class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400"
				>
					<tr>
						<th scope="col" class="px-6 py-4 w-px whitespace-nowrap">#</th>
						<th scope="col" class="px-6 py-4">Nama</th>
						<th scope="col" class="px-6 py-4">Keterangan</th>
						<th scope="col" class="px-6 py-4">
							<span class="sr-only">Action</span>
						</th>
					</tr>
				</thead>
				<tbody>
					<tr th:each="data,row : ${roleList}"
						class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600"
					>
						<td class="px-6 py-4" th:text="${(row.index + 1) + (roleList.number * roleList.size)}">1</td>
						<th th:text="${data.name}"
							scope="row"
							class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white"
						>
							Dosen
						</th>
						<td class="px-6 py-4" th:text="${data.description}">role untuk user dosen</td>

						<td class="px-6 py-4">
							<div class="flex gap-4 justify-end items-center">
								<a
									th:href="@{/setting/role/permission (id = ${data.id})}"
									class="flex items-center gap-1 text-sm font-medium hover:text-blue-500"
								>
									<svg
										class="w-5 h-5"
										aria-hidden="true"
										xmlns="http://www.w3.org/2000/svg"
										width="24"
										height="24"
										fill="none"
										viewBox="0 0 24 24"
									>
										<path
											stroke="currentColor"
											stroke-linecap="round"
											stroke-linejoin="round"
											stroke-width="2"
											d="M9.5 11.5 11 13l4-3.5M12 20a16.405 16.405 0 0 1-5.092-5.804A16.694 16.694 0 0 1 5 6.666L12 4l7 2.667a16.695 16.695 0 0 1-1.908 7.529A16.406 16.406 0 0 1 12 20Z"
										/>
									</svg>

									Izin Akses
								</a>
								<button
									th:attr="data-id=${data.id}, data-name=${data.name}, data-desc=${data.description}"
									onclick="editRole(this.getAttribute('data-id'), this.getAttribute('data-name'), this.getAttribute('data-desc'))"
									class="flex items-center gap-1 text-sm font-medium hover:text-blue-500"
								>
									<svg
										class="w-5 h-5"
										aria-hidden="true"
										xmlns="http://www.w3.org/2000/svg"
										width="24"
										height="24"
										fill="none"
										viewBox="0 0 24 24"
									>
										<path
											stroke="currentColor"
											stroke-linecap="round"
											stroke-linejoin="round"
											stroke-width="2"
											d="m14.304 4.844 2.852 2.852M7 7H4a1 1 0 0 0-1 1v10a1 1 0 0 0 1 1h11a1 1 0 0 0 1-1v-4.5m2.409-9.91a2.017 2.017 0 0 1 0 2.853l-6.844 6.844L8 14l.713-3.565 6.844-6.844a2.015 2.015 0 0 1 2.852 0Z"
										/>
									</svg>

									Ubah
								</button>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</body>
</html>
